import request from '@/utils/request'

// 查询课程用户学习日志列表
export function listUserCourseStudyLog(query) {
  return request({
    url: '/course/userCourseStudyLog/list',
    method: 'get',
    params: query
  })
}

// 查询课程用户学习日志详细
export function getUserCourseStudyLog(logId) {
  return request({
    url: '/course/userCourseStudyLog/' + logId,
    method: 'get'
  })
}

// 新增课程用户学习日志
export function addUserCourseStudyLog(data) {
  return request({
    url: '/course/userCourseStudyLog',
    method: 'post',
    data: data
  })
}

// 修改课程用户学习日志
export function updateUserCourseStudyLog(data) {
  return request({
    url: '/course/userCourseStudyLog',
    method: 'put',
    data: data
  })
}

// 删除课程用户学习日志
export function delUserCourseStudyLog(logId) {
  return request({
    url: '/course/userCourseStudyLog/' + logId,
    method: 'delete'
  })
}

// 导出课程用户学习日志
export function exportUserCourseStudyLog(query) {
  return request({
    url: '/course/userCourseStudyLog/export',
    method: 'get',
    params: query
  })
}